Bug 442498 - Enhancement Request: Add an wrapper script to generate font metric files
Enhancement Request: Add an wrapper script to generate font metric files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fop (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Rodney Russ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 00:56 EDT by Satoru SATOH
Modified: 2010-06-28 06:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An wrapper script example for PFMReader and TTFReader in FOP dist. (1.09 KB, application/octet-stream)
2008-04-15 00:56 EDT, Satoru SATOH
no flags Details
Updated wrapper script for TTFReader and PFMReader (2.11 KB, text/plain)
2008-05-07 22:27 EDT, Satoru SATOH
no flags Details

  None (edit)
Description Satoru SATOH 2008-04-15 00:56:22 EDT
Description of problem:
This is not a bug report but an enhancement request for fop.

Fop includes some classes to generate font metric files to used in outputs.
(http://xmlgraphics.apache.org/fop/0.95/fonts.html)

It is useful if there is an wrapper script for these, I guess.
I attached an example one.


Version-Release number of selected component (if applicable):
fop-0.95-0.2.beta1.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Satoru SATOH 2008-04-15 00:56:22 EDT
Created attachment 302408 [details]
An wrapper script example for PFMReader and TTFReader in FOP dist.
Comment 2 Satoru SATOH 2008-05-07 22:27:29 EDT
Created attachment 304824 [details]
Updated wrapper script for TTFReader and PFMReader 

Enhanced to work without font type specifier. Font type is guessed
automatically if font file is given.
Comment 3 Bug Zapper 2008-05-14 05:28:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Satoru SATOH 2008-11-30 23:41:15 EST
I changed the version to "rawhide" because this is also applicable to the latest version
(fop-0.95-0.2.beta1.noarch).
Comment 5 Bug Zapper 2009-06-09 05:33:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 08:00:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 06:34:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.